Name:           mingw-pkg-config
Version:        0.28
Release:        %mkrel 7
Summary:        A tool for determining compilation options

License:        GPLv2+
Group:          Development/Other
URL:            http://pkgconfig.freedesktop.org
Source0:        http://www.freedesktop.org/software/pkgconfig/releases/pkg-config-%{version}.tar.gz
Patch0:		pkg-config-0.28-automake-1.13.patch

BuildRequires:  glib2-devel
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95


%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


# Mingw32
%package -n mingw32-pkg-config
Summary:        A tool for determining compilation options for the win32 target
Requires:       mingw32-filesystem >= 95

%description -n mingw32-pkg-config
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

# Mingw64
%package -n mingw64-pkg-config
Summary:        A tool for determining compilation options for the win64 target
Requires:       mingw64-filesystem >= 95

%description -n mingw64-pkg-config
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


%prep
%setup -q -n pkg-config-%{version}
%autopatch -p1

%build
cp -f /usr/share/aclocal/glib-gettext.m4 glib/m4macros/glib-gettext.m4
autoreconf -fi
ls > list
cat list
mkdir build_win32
for i in `cat list` ; do cp -frv $i build_win32 ; done
pushd build_win32
    %configure2_5x \
        --disable-shared \
        --disable-host-tool \
        --program-prefix=%{mingw32_target}- \
        --with-pc-path=%{mingw32_libdir}/pkgconfig:%{mingw32_datadir}/pkgconfig

    %make
popd

mkdir build_win64
for i in `cat list` ; do cp -frv $i build_win64 ; done
pushd build_win64
    %configure2_5x \
        --disable-shared \
        --disable-host-tool \
        --program-prefix=%{mingw64_target}- \
        --with-pc-path=%{mingw64_libdir}/pkgconfig:%{mingw64_datadir}/pkgconfig

    %make
popd


%install
%make_install -C build_win32
%make_install -C build_win64

# These files conflict with ordinary pkg-config.
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/aclocal
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/pkg-config


%files -n mingw32-pkg-config
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{_bindir}/%{mingw32_target}-pkg-config
%{_mandir}/man1/%{mingw32_target}-pkg-config.1*

%files -n mingw64-pkg-config
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{_bindir}/%{mingw64_target}-pkg-config
%{_mandir}/man1/%{mingw64_target}-pkg-config.1*




%changelog
* Mon Feb 15 2016 umeabot <umeabot> 0.28-7.mga6
+ Revision: 961633
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.28-6.mga5
+ Revision: 750769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.28-5.mga5
+ Revision: 682509
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.28-4.mga4
+ Revision: 545918
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.28-3.mga4
+ Revision: 501992
- call autoreconf
- fix build with automake 1.13

* Mon Sep 23 2013 neoclust <neoclust> 0.28-2.mga4
+ Revision: 483811
- imported package mingw-pkg-config

